import { DataSourceRootSummariesChangedEventArgs as DataSourceRootSummariesChangedEventArgs_internal } from "./DataSourceRootSummariesChangedEventArgs";
/**
 * Provides information about row expansion or collapse.
*/
export class IgxDataSourceRootSummariesChangedEventArgs {
    constructor() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    createImplementation() {
        return new DataSourceRootSummariesChangedEventArgs_internal();
    }
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
}
